From 7b2f89ef25eafdd76e8b540f1d8ba1fdec185ef9 Mon Sep 17 00:00:00 2001
From: Luca Deri <deri@ntop.org>
Date: Fri, 20 Mar 2020 18:05:52 +0100
Subject: [PATCH] Added fix for serialization loop

---
 src/lib/ndpi_serializer.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/lib/ndpi_serializer.c b/src/lib/ndpi_serializer.c
index 9a3cd0bd..80221005 100644
--- a/src/lib/ndpi_serializer.c
+++ b/src/lib/ndpi_serializer.c
@@ -1054,8 +1054,12 @@ int ndpi_serialize_string_uint32_format(ndpi_serializer *_serializer,
     */
 
     return(ndpi_serialize_string_uint32(_serializer, key, value));
-  } else
-    return(ndpi_serialize_string_uint32_format(_serializer, key, value, format));
+  } else {
+    char buf[16];
+    
+    snprintf(buf, sizeof(buf), format, value);
+    return(ndpi_serialize_string_string(_serializer, key, buf));
+  }
 }
 
 /* ********************************** */
